require 'helper'

class TestSpec1QuestionTextBox < MiniTest::Unit::TestCase
  def load_program_fixture(spec_name)
    Program.new(version: GuidedPath::Parser::Spec1, scripts: {'test' => load_fixture("spec1/#{spec_name}")}, starting_script: 'test')

  end

  def test_simple_textbox_node
    program = load_program_fixture("textbox_simple.yml")
    assert_nodes_equal program, {QuestionTextBoxNode => 1, TextNode => 5}
    assert_equal "Sorry, didn't understand.", program.starting_node.answers['~not listed~'].value
   end
end



