require 'helper'

class TestSpec1QuestionYesNo < MiniTest::Unit::TestCase
  def load_program_fixture(spec_name)
    Program.new(version: GuidedPath::Parser::Spec1, scripts: {'test' => load_fixture("spec1/#{spec_name}")}, starting_script: 'test')

  end

  def test_simple_yes_no
    program = load_program_fixture("yes_no_simple.yml")
    assert_nodes_equal program, {QuestionMultipleChoiceNode => 2, TextNode => 4}
    question = program.starting_node
    assert_kind_of QuestionMultipleChoiceNode,  question
    assert_equal question.text, "Say yes?"
    assert_kind_of TextNode, question.answers['Yes']
    assert_kind_of QuestionMultipleChoiceNode, question.answers['Yes'].next_node

  end

end



