require 'helper'

class TestSpec1LeadInNodes < MiniTest::Unit::TestCase
  def load_program_fixture(spec_name)
    Program.new(version: GuidedPath::Parser::Spec1, scripts: {'test' => load_fixture("spec1/#{spec_name}")}, starting_script: 'test')

  end

  def test_lead_in_node
    @program = load_program_fixture("leadin_multiple.yml")
    assert_nodes_equal @program, {LeadInNode => 1, QuestionMultipleChoiceNode => 1, TextNode => 2}

    assert_kind_of LeadInNode, @program.starting_node
    assert_equal "5", @program.starting_node.pause
  end
end



