require 'helper'

class TestSpec1TextNodes < MiniTest::Unit::TestCase
  def load_program_fixture(spec_name)
    Program.new(version: GuidedPath::Parser::Spec1, scripts: {'test' => load_fixture("spec1/#{spec_name}")}, starting_script: 'test')

  end

  def test_simple_text_node
    @program = load_program_fixture("textnode_simple_string.yml")
    assert_nodes_equal @program, {TextNode => 1}

    @program = load_program_fixture("textnode_simple_hash.yml")
    assert_nodes_equal @program, {TextNode => 1}

    @program = load_program_fixture("textnode_simple_attribute_list.yml")
    assert_nodes_equal @program, {TextNode => 1}
    assert_equal "Welcome back!", @program.nodes.values.first.value
  end
end



